com.thinkaurelius.titan.graphdb.database.idhandling

## Class VariableLong

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.database.idhandling.VariableLong

-     public class VariableLong
      extends Object

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableLong()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `backwardLength(long value)`
    `static int` | `length(long value)`
    `static int` | `positiveBackwardLength(long value)`
    `static StaticBuffer` | `positiveBuffer(long value)`
    `static StaticBuffer` | `positiveBuffer(long[] value)`
    `static int` | `positiveLength(long value)`
    `static int` | `positiveWithPrefixLength(long value, int prefixBitLen)`
    `static long` | `read(ScanBuffer in)`
    `static long` | `readBackward(ReadBuffer in)`
    `static long` | `readPositive(ScanBuffer in)`
    `static long` | `readPositiveBackward(ReadBuffer in)`
    `static long[]` | `readPositiveWithPrefix(ReadBuffer in, int prefixBitLen)`
    `static int` | `unsignedBitLength(long value)`
    `static int` | `unsignedByte(byte b)`
    `static byte` | `unsignedByte(int value)`
    `static void` | `write(WriteBuffer out, long value)`
    `static void` | `writeBackward(WriteBuffer out, long value)`
    `static void` | `writePositive(WriteBuffer out, long value)`
    `static void` | `writePositiveBackward(WriteBuffer out, long value)`
    `static void` | `writePositiveWithPrefix(WriteBuffer out, long value, long prefix, int prefixBitLen)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableLong

          public VariableLong()

  - ### Method Detail

    - #### unsignedByte

          public static int unsignedByte(byte b)

    - #### unsignedByte

          public static byte unsignedByte(int value)

    - #### unsignedBitLength

          public static int unsignedBitLength(long value)

    - #### readPositive

          public static long readPositive(ScanBuffer in)

    - #### writePositive

          public static void writePositive(WriteBuffer out,
                           long value)

    - #### positiveBuffer

          public static StaticBuffer positiveBuffer(long value)

    - #### positiveBuffer

          public static StaticBuffer positiveBuffer(long[] value)

    - #### positiveLength

          public static int positiveLength(long value)

    - #### length

          public static int length(long value)

    - #### write

          public static void write(WriteBuffer out,
                   long value)

    - #### read

          public static long read(ScanBuffer in)

    - #### writePositiveWithPrefix

          public static void writePositiveWithPrefix(WriteBuffer out,
                                     long value,
                                     long prefix,
                                     int prefixBitLen)

    - #### positiveWithPrefixLength

          public static int positiveWithPrefixLength(long value,
                                     int prefixBitLen)

    - #### readPositiveWithPrefix

          public static long[] readPositiveWithPrefix(ReadBuffer in,
                                      int prefixBitLen)

    - #### writePositiveBackward

          public static void writePositiveBackward(WriteBuffer out,
                                   long value)

    - #### positiveBackwardLength

          public static int positiveBackwardLength(long value)

    - #### readPositiveBackward

          public static long readPositiveBackward(ReadBuffer in)

    - #### writeBackward

          public static void writeBackward(WriteBuffer out,
                           long value)

    - #### backwardLength

          public static int backwardLength(long value)

    - #### readBackward

          public static long readBackward(ReadBuffer in)

Copyright © 2012–2014. All rights reserved.